//+------------------------------------------------------------------+
//|                                               ATR-Percentv02.mq4 |
//|                                                    Michael Zuegg |
//|                                       when-money-makes-money.com |
//+------------------------------------------------------------------+
#property copyright "Michael Zuegg"
#property link      "when-money-makes-money.com"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Yellow
#property indicator_level1 0
//---- buffers
double ac_ma[];
double ac_ma_ma[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
extern int period=14;
extern int mode=MODE_SMA;
extern int ma_period=14;
extern int ma_mode=MODE_SMA;
extern bool showTrend=false;
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ac_ma);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ac_ma_ma);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   double tmp[];
   ArrayResize(tmp,period);
   int i=0;
   for(i=Bars-counted_bars-1;i>=0;i--){
      for(int j=0;j<period;j++){
         if(Open[i+j]!=0){
            tmp[j]=((Close[i+j]-Open[i+j])/Open[i+j])*100;
         }else{
            tmp[j]=0;
         }
         if(!showTrend){
            tmp[j]=MathAbs(tmp[j]);
         }
      }
      ac_ma[i]=iMAOnArray(tmp,0,period,0,mode,0);
   }
   for(i=Bars-counted_bars-1;i>=0;i--){
      ac_ma_ma[i]=iMAOnArray(ac_ma,0,ma_period,0,ma_mode,i);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+